# MIDI FILE GENERATOR
# Copyright (c) 2005 Emanuel Borsboom.  All rights reserved.
#
# Entry Point
#

Midi_File_Generator_Version = "0.3"

$PROGRAM_DIR = File.dirname(File.expand_path(__FILE__)) unless defined? $PROGRAM_DIR
$LOAD_PATH[0, 0] = File.expand_path('lib', $PROGRAM_DIR)
$LOAD_PATH[0, 0] = File.expand_path($PROGRAM_DIR)

require "generator.rb"

# If command-line arguments provided, generate the MIDI file and quit before the GUI is initialized
if ARGV.length == 2
	reset
	load_track(File.expand_path(ARGV[0]))
	save_sequence ARGV[1]
else
	require "wxruby_gui.rb"
	MidiApp.new.main_loop
end
